version: "3.2"

services:
  es:
    image: elasticsearch:7.11.1 
    restart: always
    container_name: mtr_elasticsearch
    environment:
        - discovery.type=single-node
        - "ES_JAVA_OPTS=-Xms512m -Xmx512m"
      
    volumes:
        - esdata:/usr/share/elasticsearch/data  
    ulimits:
        memlock:
          soft: -1
          hard: -1   
        
    ports:
        - "9200:9200"  


  django:
    container_name: django
    restart: always
    build: ./
    ports:
      - "8000:8000"
    links:
      - es
    depends_on:
      - es

    command: >
      sh -c " sleep 20 &&
      python manage.py makemigrations &&
      python manage.py migrate &&
      python manage.py runserver  0.0.0.0:8000"

    volumes:
      - media:/usr/src/app
      
volumes:
  esdata:
  media:
  static:
